Bug 139676 - Crashes when "Export Directly to PDF" selected. Tabbed UI, Unmaximized Window
Summary: Crashes when "Export Directly to PDF" selected. Tabbed UI, Unmaximized Window
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
7.0.4.2 release
Hardware: x86-64 (AMD64) Windows (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:7.2.0
Keywords:
Depends on:
Blocks: PDF-Export
  Show dependency treegraph
 
Reported: 2021-01-16 13:45 UTC by Najeed
Modified: 2021-08-24 14:25 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
Simple picture illustration of how to recreate (41.58 KB, image/png)
2021-01-16 13:45 UTC, Najeed
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Najeed 2021-01-16 13:45:43 UTC
Created attachment 168936 [details]
Simple picture illustration of how to recreate

LibreOffice v.7.0.4.2 (x64), Windows 10. User Interface is Tabbed (Normal, NOT compact). 

The bug concerns the feature "Export Directly to PDF". In the Tabbed Layout, it's under the File tab.

To recreate this bug, the window should be narrow enough, such that the PDF export button is hidden, and needs access via the double arrows that unveil additional options under the File tab.

The bug could be recreated every time. It happened with previous releases of version 7, too.
Comment 1 Telesto 2021-01-16 18:41:16 UTC
Repro
Version: 7.2.0.0.alpha0+ (x64)
Build ID: f2171af6ce3516598d9f8bac8294025a21a5b1a2
CPU threads: 4; OS: Windows 6.3 Build 9600; UI render: Skia/Raster; VCL: win
Locale: nl-NL (nl_NL); UI: en-US
Calc: CL
Comment 2 Telesto 2021-01-16 18:42:41 UTC
@Caolan
You might be interested.. it doesn't actual crash. but get stuck. The dialog which should appear doesn't..
Comment 3 Caolán McNamara 2021-01-18 12:20:27 UTC
I don't reproduce under gen on Linux. How about the "export" and "save as" options. Does this problem happen with all attempts to open a windows file dialog from this "too-narrow" launcher ?
Comment 4 Najeed 2021-01-20 14:40:38 UTC
(In reply to Caolán McNamara from comment #3)
> I don't reproduce under gen on Linux. How about the "export" and "save as"
> options. Does this problem happen with all attempts to open a windows file
> dialog from this "too-narrow" launcher ?

Good question, and yes it does. It just crashed with the Save As option. The thing is, after it freezes, the ESC key on the keyboard does not help with "unfreezing"
Comment 5 Caolán McNamara 2021-02-24 09:35:30 UTC
By the look of this windows-specific commit https://cgit.freedesktop.org/libreoffice/core/commit/?id=8c62c2fb88a7a82939ad3b5c7355c93a41b76d5b it seems plausible to me that commit fixes this issue ?
Comment 6 Samuel Mehrbrodt (allotropia) 2021-02-24 09:59:08 UTC
(In reply to Caolán McNamara from comment #5)
> By the look of this windows-specific commit
> https://cgit.freedesktop.org/libreoffice/core/commit/
> ?id=8c62c2fb88a7a82939ad3b5c7355c93a41b76d5b it seems plausible to me that
> commit fixes this issue ?

Yeah this bug looks similiar to the problem I had.
@Najeed: Can you test with a daily build? https://dev-builds.libreoffice.org/daily/master/current.html
You need to check that the daily build was created after 2021-02-24 08:23 (when my patch was merged).
Comment 7 Samuel Mehrbrodt (allotropia) 2021-03-01 15:19:31 UTC
(In reply to Samuel Mehrbrodt (allotropia) from comment #6)
> Yeah this bug looks similiar to the problem I had.
> @Najeed: Can you test with a daily build?
> https://dev-builds.libreoffice.org/daily/master/current.html
> You need to check that the daily build was created after 2021-02-24 08:23
> (when my patch was merged).

I just checked, but the bug still exists in a daily build from today.
Comment 8 Caolán McNamara 2021-04-30 10:37:10 UTC
Tried this today on windows and a self build and wasn't able to reproduce.
Comment 9 Telesto 2021-04-30 11:39:03 UTC
No crash for me
Version: 7.2.0.0.alpha0+ (x64) / LibreOffice Community
Build ID: f616d96bd8ce8986e4cc204953db0467e6060b5c
CPU threads: 4; OS: Windows 6.3 Build 9600; UI render: Skia/Raster; VCL: win
Locale: nl-NL (nl_NL); UI: en-US
Calc: CL

The dialog keeps expanded state after export (would assume clicking 'PDF') closes the expand button but that's my expectation.

It doesn't hang/or crash
Comment 10 Caolán McNamara 2021-08-24 13:52:36 UTC
This is reproducible in 7.1.5 but works ok in 7.2.0. Bisecting to see what made it work shows https://cgit.freedesktop.org/libreoffice/core/commit/?id=d4ed266849b558b041acb740a18bd81fa39bc582 from bug #133350
Comment 11 Caolán McNamara 2021-08-24 14:25:23 UTC
so fixed, by coincidence I feel, in 7.2.0